# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Apr 26 09:20:52 2023
# ------------------------------------------------

package:
  name: alignoth
  version: 0.8.1
source:
  sha256: 07ae22f34fd1c349c4137294eca4f9b8b05879890835cdfbe20f02a6fcaf24bb
  url: https://github.com/koesterlab/alignoth/archive/v0.8.1.tar.gz
build:
  number: '0'
  string: h02737ae_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_12
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.12.7 ha878542_0
    - clang 16.0.2 h110208f_0
    - clang-16 16.0.2 default_h83cc7fd_0
    - clang-format 16.0.2 default_h83cc7fd_0
    - clang-format-16 16.0.2 default_h83cc7fd_0
    - clang-tools 16.0.2 default_h83cc7fd_0
    - clangdev 16.0.2 default_h83cc7fd_0
    - clangxx 16.0.2 default_h83cc7fd_0
    - cmake 3.26.3 h077f3f9_0
    - expat 2.5.0 hcb278e6_1
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_12
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_12
    - icu 72.1 hcb278e6_0
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libclang 16.0.2 default_h83cc7fd_0
    - libclang-cpp 16.0.2 default_h83cc7fd_0
    - libclang-cpp16 16.0.2 default_h83cc7fd_0
    - libclang13 16.0.2 default_hd781213_0
    - libcurl 8.0.1 h588be90_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libiconv 1.17 h166bdaf_0
    - libllvm16 16.0.2 hbf9e925_0
    - libnghttp2 1.52.0 h61bc06f_0
    - libsanitizer 10.4.0 h5246dfb_19
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuv 1.44.2 h166bdaf_0
    - libxml2 2.10.4 hfdac1af_0
    - libzlib 1.2.13 h166bdaf_4
    - llvm-tools 16.0.2 hbf9e925_0
    - llvmdev 16.0.2 hbf9e925_0
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 hd590300_2
    - pkg-config 0.29.2 h36c2ea0_1008
    - rhash 1.4.3 h166bdaf_0
    - rust 1.69.0 hefb9f0a_0
    - rust-std-x86_64-unknown-linux-gnu 1.69.0 hc1431ca_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.12.7 ha878542_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 hf9c8cef_0
    - libblas 3.9.0 5_h92ddd45_netlib
    - libcblas 3.9.0 5_h92ddd45_netlib
    - libcurl 7.87.0 h6312ad2_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-ng 12.2.0 h65d4601_19
    - libgfortran-ng 12.2.0 h69a702a_19
    - libgfortran5 12.2.0 h337968e_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.51.0 hdcd2b5c_0
    - libssh2 1.10.0 haa6b8db_3
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 1.1.1t h0b41bf4_0
  run:
    - libcblas >=3.9.0,<4.0a0
    - libcurl >=7.87.0,<8.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - openssl >=1.1.1t,<1.1.2a
test:
  commands:
    - alignoth --help
about:
  home: https://github.com/koesterlab/alignoth
  license: MIT
  summary: A tool for creating alignment plots from bam files
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - fxwiegand
    - johanneskoester
